#!/bin/bash
[ -z "$DIR" ] && DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

tmpfile=$(mktemp /tmp/itsb.XXXXXXXXXX)
trap "rm \"$tmpfile\"" EXIT

xsltproc "$DIR/xslt/itsb.xsl" "$DIR/itsb.xml" > "$tmpfile"

xsltproc "$DIR/xslt/feedgen.xsl" "$tmpfile" | DIR="$DIR" bash -s -- "$@"
xsltproc "$DIR/xslt/opml.xsl" "$tmpfile" > "$DIR/feeds.opml"
xsltproc "$DIR/xslt/html.xsl" "$tmpfile" > "$DIR/index.html"

"$DIR/bin/cdfmerge" < "$tmpfile"
